Bug 852914 - Review Request: python-rackspace-monitoring - Client library for Rackspace Cloud Monitoring
Summary: Review Request: python-rackspace-monitoring - Client library for Rackspace Cl...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas 'Sheldon' Radej
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-30 01:41 UTC by Luis Bazan
Modified: 2013-03-27 15:36 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-27 15:36:21 UTC
Type: Bug
tradej: fedora-review?


Attachments (Terms of Use)

Description Luis Bazan 2012-08-30 01:41:12 UTC
Description:
rackspace monitoring is a Python client library for Rackspace Cloud 
Monitoring built on top of Apache Libcloud.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4436296

http://lbazan.fedorapeople.org/rackspace-monitoring.spec

http://lbazan.fedorapeople.org/python-rackspace-monitoring-0.3.1-1.fc17.src.rpm

Regards!

Comment 1 Sebastian Dyroff 2012-08-30 17:57:38 UTC
I am doing an informal review, as i am no package maintainer.

First the issues:

[!]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
     Note: rackspace-monitoring.spec should be python-rackspace-
     monitoring.spec
[!]: SHOULD %check is present and all tests pass.
     there are tests in the upstream source package. But it is only should
[!]: MUST Package complies to the Packaging Guidelines
     see spec <-> package name

Some things i stumbled over (maybe because i didn't know better):
- I wonder if there is a difference in using python instead of %{__python}. 
- If i understood the PKG-INFO correctly upstream thinks this is python3 compatible, maybe this package could be packaged for both version.

Regards!

The full review.

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[!]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)" For detailed output of licensecheck see file: /tmp/852914
     -rackspace-monitoring/licensecheck.txt
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[!]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
     Note: rackspace-monitoring.spec should be python-rackspace-
     monitoring.spec
[x]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[!]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (rackspace-monitoring-0.3.1.tar.gz)
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[!]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
     Note: rackspace-monitoring.spec should be python-rackspace-
     monitoring.spec
See: http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Spec_file_name

Rpmlint
-------
Checking: python-rackspace-monitoring-0.3.1-1.fc17.noarch.rpm
          python-rackspace-monitoring-0.3.1-1.fc17.src.rpm
python-rackspace-monitoring.src: E: invalid-spec-name
python-rackspace-monitoring.src:15: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 15)
2 packages and 0 specfiles checked; 1 errors, 1 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
python-rackspace-monitoring-0.3.1-1.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    python(abi) = 2.7

Provides
--------
python-rackspace-monitoring-0.3.1-1.fc17.noarch.rpm:
    
    python-rackspace-monitoring = 0.3.1-1.fc17
    rackspace-monitoring = 0.3.1-1.fc17

MD5-sum check
-------------
http://pypi.python.org/packages/source/r/rackspace-monitoring/rackspace-monitoring-0.3.1.tar.gz :
  CHECKSUM(SHA256) this package     : 0064e53f172c283ac8d81f02cf8b58595eda830835dd726d29e9776fa6fa9ea4
  CHECKSUM(SHA256) upstream package : 0064e53f172c283ac8d81f02cf8b58595eda830835dd726d29e9776fa6fa9ea4


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/usr/bin/fedora-review -b 852914
External plugins:

Comment 2 Stanislav Ochotnicky 2012-09-03 11:28:45 UTC
Note that fedora-review currently has basically no tests for Python guidelines and I would recommend being cautious about results for python packages

Comment 3 Luis Bazan 2012-09-03 12:27:19 UTC
I'm already making changes at night I'm sending all corrected.

Regards!

Comment 4 Sebastian Dyroff 2012-09-03 16:45:16 UTC
(In reply to comment #2)
> Note that fedora-review currently has basically no tests for Python
> guidelines and I would recommend being cautious about results for python
> packages

Is there a checklist like the one fedora-review generates, that helps reviewing python packages?

Comment 8 Tomas 'Sheldon' Radej 2012-09-27 09:24:26 UTC
I'm taking this review.

Comment 9 Tomas 'Sheldon' Radej 2012-10-01 14:11:56 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[!]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (rackspace-monitoring-0.3.1.tar.gz)
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[!]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Rpmlint
-------
Checking: python-rackspace-monitoring-0.3.1-5.fc19.noarch.rpm
          python-rackspace-monitoring-0.3.1-5.fc19.src.rpm
python-rackspace-monitoring.src:17: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 17)
2 packages and 0 specfiles checked; 0 errors, 1 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
python-rackspace-monitoring-0.3.1-5.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    python(abi) = 2.7

Provides
--------
python-rackspace-monitoring-0.3.1-5.fc19.noarch.rpm:
    
    python-rackspace-monitoring = 0.3.1-5.fc19
    rackspace-monitoring = 0.3.1-5.fc19

MD5-sum check
-------------
http://pypi.python.org/packages/source/r/rackspace-monitoring/rackspace-monitoring-0.3.1.tar.gz :
  CHECKSUM(SHA256) this package     : 0064e53f172c283ac8d81f02cf8b58595eda830835dd726d29e9776fa6fa9ea4
  CHECKSUM(SHA256) upstream package : 0064e53f172c283ac8d81f02cf8b58595eda830835dd726d29e9776fa6fa9ea4


Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :/usr/bin/fedora-review -b 852914 -m fedora-rawhide-x86_64
External plugins:


== Issues ==

[!]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
>>>> Why is there the Provides for rackspace-monitoring? Unless there is a
>>>> good reason for it to be there, I am politely asking you to remove it.


== Notes ==

[!]: SHOULD %check is present and all tests pass.
>>>> As was said once before, upstream has a test dir. It would be nice to run
>>>> the tests.

[!]: Rpmlint output
>>>> It would be nice to replace the TAB on line 17 with spaces

*** NOT APPROVED *** until the question in Issues is resolved. Things in notes are nice to have, but aren't crucial.

Comment 10 Luis Bazan 2013-03-27 15:36:21 UTC
This package will not be necessary...

Best regards!


Note You need to log in before you can comment on or make changes to this bug.